complexType "Holding"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 3 elements
Defined: | globally in fpml-valuation-5-5.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | underlyingAsset?, quantity?, type?
</...>

Content Model Elements (3):

  quantity (in holding), type (in holding), | underlyingAsset

All Direct / Indirect Based Elements (1):

  holding

Known Usage Locations

- As direct type of elements (1):
  holding

Annotation
A net accumulated position held in an asset.
XML Source (w/o annotations (4); see within schema source)

<xsd:complexType name="Holding"> <xsd:sequence> <xsd:element minOccurs="0" ref="underlyingAsset"/> <xsd:element minOccurs="0" name="quantity" type="InstrumentTradeQuantity"/> <xsd:element minOccurs="0" name="type" type="PositionTypeEnum"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/3)
quantity

  Type: | InstrumentTradeQuantity, complex content

  A description of how much of the instrument is held.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="quantity" type="InstrumentTradeQuantity"/>

type

  Type: | PositionTypeEnum, simple content

  Whether the position is actually owned or is borrowed. If omitted, it is assumed to be a long position.
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "Long" | - | A long position indicates that the transactor owns the securities in question. See: http://www.FpML.org
  "Short" | - | A short position indicates that the transactor does not own the securities in question, but rather is borrowing the securities. See: http://www.FpML.org

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="type" type="PositionTypeEnum"/>

underlyingAsset

  Type: | Asset, empty content
  Abstract: | (may not be used directly in instance XML documents)
  Subst.Gr: | may be substituted with 13 elements

  The FpML asset description for the asset.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" ref="underlyingAsset"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.